package com.ecep.contract.task;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.model.Company;

import lombok.Getter;
import lombok.Setter;

public class ContractRepairByCompanyTask extends Tasker<Object> {
    @Getter
    @Setter
    private Company company;
    @Getter
    boolean repaired = false;

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("同步修复 " + company.getName() + " 下的所有合同");
        updateProgress(1, 1);
        return null;
    }
}
